package com.unis.base.server.dao;

import com.unis.base.common.vo.EquipmentTypeVO;
import com.unis.base.common.vo.EquipmentTypequeryVO;
import com.unis.base.server.entity.EquipmentTypeDO;

import java.util.List;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface EquipmentTypeDao extends Mapper<EquipmentTypeDO> {

    int insert(EquipmentTypeDO record);

    int insertSelective(EquipmentTypeDO record);

	String getMaxCodeById(String string);

    List<EquipmentTypeVO> getEquipmentTypeList(EquipmentTypequeryVO equipmentTypequeryVO);
}